UnknownGroupException (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.activation
Class UnknownGroupException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.rmi.activation.ActivationException
                        |
                        +--java.rmi.activation.UnknownGroupException

All Implemented Interfaces:
  Serializable

public class UnknownGroupException
extends ActivationException

An `UnknownGroupException` is thrown by methods of classes and interfaces in the `java.rmi.activation` package when the `ActivationGroupID` parameter to the method is determined to be invalid, i.e., not known by the `ActivationSystem`. An `UnknownGroupException` is also thrown if the `ActivationGroupID` in an `ActivationDesc` refers to a group that is not registered with the `ActivationSystem`

Since:
  1.2
See Also:
  `Activatable`, `ActivationGroup`, `ActivationGroupID`, `ActivationMonitor`, `ActivationSystem`, Serialized Form

Field Summary

Fields inherited from class java.rmi.activation.ActivationException
`detail`

Constructor Summary
`UnknownGroupException(String s)` Constructs an `UnknownGroupException` with the specified detail message.

Methods inherited from class java.rmi.activation.ActivationException
`getCause, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnknownGroupException

    public UnknownGroupException(String s)

  Constructs an `UnknownGroupException` with the specified detail message.

Parameters:
  `s` - the detail message
Since:
  1.2

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.